Subject: Re: python-load-file in python.el does not seem to work

From: Mikko Huhtala <[email-masked]>
Date: Sun, 3 May 2009 19:26:48 +0300

Chong Yidong writes:
 > It seems to work for me, using the following recipe:

You're right, it does work for me, too. The difference with my
previous test is that I started inferior Python first and loaded the
file after that. In Emacs 22, the file is loaded into the running
inferior Python session, but in 23 a new Python session is
initialized. Silly me did not even notice the second inferior Python
buffer. I tried to use the one I had open in a window, which obviously
didn't get the loaded file. Further C-c C-l commands do the right
thing and load the file into the same running Python session.

I'm assuming that this new behaviour is by design? I suppose it is
more logical that what Emacs 22 does, but it might trip some old
users.

If the new behaviour is what the developers intended, then this should
be closed as 'not a bug'.